const path = require('path')
const fs  =  require('fs')

function getAPIProperties(utilsPath = undefined) {
  const defaultPropertyPath = path.resolve(process.cwd(),"..","preCommitRequestUtils.json");
  return checkUtilsFilePathRequire(utilsPath, defaultPropertyPath);
}

function getLintConfigDirectory() {
  const defaultConfigPath = path.join(process.cwd(),'node_modules','@zohodesk','precommitlibrary',"lintConfiguration.zip");
  return defaultConfigPath;
}

function checkUtilsFilePathRequire(utilsPath, defaultPath = undefined) {
  try {
    return require(fs.existsSync(utilsPath) ? utilsPath : defaultPath);
  } catch (err) {
    Logger.log(Logger.FAILURE_TYPE, `path is not valid ...`);
  }
}

module.exports = {
  getAPIProperties,
  getLintConfigDirectory,
  checkUtilsFilePathRequire
};
