const { spawnSync } = require("child_process");
function getGitUserName() {
  const userName = exeSpawnSync("git", ["config", "user.email"]);
  return userName.pop().split("@")[0];
}

function getRepoName() {
  const repoName = exeSpawnSync("git", ["remote", "get-url", "origin"]);
  return repoName.pop().split("/").pop().split(".")[0];
}

function getBranchName() {
  // git rev-parse --abbrev-ref HEAD
  var branchName = exeSpawnSync("git", ["rev-parse", "--abbrev-ref", "HEAD"]); // to get current branch
  return branchName.shift().trim();
}

function exeSpawnSync(command, params = []) {
  const demon_process = spawnSync(command, params, { shell: true });
  return demon_process.stdout.toString().split("\n").filter(Boolean);
}

module.exports = {
  getBranchName,
  getGitUserName,
  getRepoName
};
