/* eslint-disable no-console */

const initializeHusky = require('./HuskyCommandsExecution/initializeHusky')
const configurePrecommitHook = require('./HuskyCommandsExecution/configurePrecommitHook')
const { Logger } = require('../../utils/Logger')

let isCustomPrecommitConfigurationSuccessful = false

function setupHusky(){
    let isHuskyInitializedSuccessfully = initializeHusky()

    if(isHuskyInitializedSuccessfully){
        Logger.log(Logger.INFO_TYPE,'Husky setup was successful')
        
        isCustomPrecommitConfigurationSuccessful = configurePrecommitHook()
        
        if(isCustomPrecommitConfigurationSuccessful){
            Logger.log(Logger.INFO_TYPE,'Custom pre commit hook setup was successful')
        }
        else{
            Logger.log(Logger.INFO_TYPE,'Couldn\'t configure custom pre commit hook')
        }
    }
    else{
        Logger.log(Logger.INFO_TYPE,'Couldn\'t setup Husky')
    }
}

module.exports = {
    setupHusky
}




