/* eslint-disable no-console */

const { execSync } = require("child_process");
const { Logger } = require("./Logger");

function getRootDirectory() {
  let rootDir = execSync("git rev-parse --show-toplevel", { encoding: "utf-8" })
    .toString()
    .trim();
  return rootDir;
}

function navigateToRootDirectory(rootDir) {
  Logger.log(Logger.INFO_TYPE,`rootDir:${rootDir}`);

  try {
    process.chdir(rootDir);
    Logger.log(Logger.INFO_TYPE,"Successfully navigated to root directory");
    return true;
  } catch (error) {
    Logger.log(Logger.FAILURE_TYPE,"Couldn't navigate to root directory", error);
    return false;
  }
}

module.exports = { navigateToRootDirectory,getRootDirectory };
